#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	YAML
Summary:	YAML - YAML Ain't Markup Language (tm)
Summary(pl.UTF-8):	YAML - YAML nie jest językiem znaczników
Name:		perl-YAML
Version:	1.18
Release:	1
# same as perl 5
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/YAML/%{pdir}-%{version}.tar.gz
# Source0-md5:	79b6cc821fe157790a6448d1f791f6de
URL:		http://www.yaml.org/spec/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.59
BuildRequires:	perl-devel >= 1:5.8.1
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-Test-YAML >= 1.05
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The YAML.pm module implements a YAML Loader and Dumper based on the
YAML 1.0 specification.

YAML is a generic data serialization language that is optimized for
human readability. It can be used to express the data structures of
most modern programming languages. (Including Perl!!!)

%description -l pl.UTF-8
Moduł YAML.pm jest implementacją klas YAML Loader i Dumper bazujących
na specyfikacji YAML 1.0. YAML to język do serializacji ogólnych
danych, zoptymalizowany pod względem czytelności dla człowieka. Może
być używany do wyrażania struktur danych większości współczesnych
języków programowania (włącznie z Perlem).

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/YAML.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/YAML.pm
%{perl_vendorlib}/YAML
%{_mandir}/man3/YAML.3pm*
%{_mandir}/man3/YAML::*.3pm*
%changelog
* Thu Nov 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-YAML.git;a=log;h=master

* Thu Nov 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 8774a03
- updated to 1.18

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> e2bc746
- updated to 1.15

* Mon Sep 15 2014 Szymon Siwek <sls@pld-linux.org> 0c18d20
- rm 'pod' file

* Mon Sep 15 2014 Szymon Siwek <sls@pld-linux.org> 9f0fd8b
- removing Test::YAML stuff is not required right now

* Mon Sep 15 2014 Szymon Siwek <sls@pld-linux.org> 7b96e9a
- rm R: perl-devel and its TODO

* Mon Sep 15 2014 Szymon Siwek <sls@pld-linux.org> 0b04c9d
- added BR: perl-Test-YAML for tests

* Sun Sep 14 2014 Szymon Siwek <sls@pld-linux.org> 9a73937
- ver. 1.11

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 1ffd68c
- updated to 0.84

* Sat Jun 30 2012 Jakub Bogusz <qboosh@pld-linux.org> a88580d
- updated to 0.81

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> bc74d4c
- updated to 0.72

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> 3cdf2a0
- rel 3

* Sat Feb 20 2010 Elan Ruusamäe <glen@pld-linux.org> af94652
- no packaging of Test::YAML; rel 2

* Wed Aug 26 2009 amateja <amateja@pld-linux.org> 5caf3ed
- updated to 0.70

* Fri Apr 17 2009 Elan Ruusamäe <glen@pld-linux.org> 7f06e24
- R: perl-devel

* Sat Dec 13 2008 Maciej Pijanka <agaran@pld-linux.org> 0ca1138
- up to 0.68, ysh is missing in this release

* Sat Nov 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 93f0779
- updated to 0.66

* Mon Sep 17 2007 Adam Gołębiowski <adamg@pld-linux.org> d72b5fc
- autoupdated to 0.65

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b35bb5f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6b932de
- converted to UTF-8

* Tue Jul 25 2006 Elan Ruusamäe <glen@pld-linux.org> e20117c
- rel 1

